package edu.nyu.scps.listdialog;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class ListDialogActivity extends Activity {
	static final int LIST_DIALOG_ID = 0;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		final Button button = (Button)findViewById(R.id.button);

		button.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				showDialog(LIST_DIALOG_ID);
			}
		});
	}

	@Override
	protected Dialog onCreateDialog(int id, Bundle bundle) {
		final TextView textView = (TextView)findViewById(R.id.textView);
		final String[] items = {"Copper", "Iron", "Steel", "Rearden Metal"};

		switch (id) {
		case LIST_DIALOG_ID:
			AlertDialog.Builder builder = new AlertDialog.Builder(this);
			builder.setIconAttribute(android.R.attr.alertDialogIcon);
			builder.setTitle("Pick a metal.");

			builder.setItems(items, new DialogInterface.OnClickListener() {
				@Override
				public void onClick(DialogInterface dialog, int which) {
					textView.setText("Thank you for selecting " + items[which] + ".");
				}
			});

			return builder.create();

		default:
			return null;
		}
	}
}